package com.rjconsultores.ventaboletos.web.utilerias.menu.item.relatorios.impressaofiscal;

import java.util.HashMap;

import org.zkoss.util.resource.Labels;

import com.rjconsultores.ventaboletos.web.utilerias.PantallaUtileria;
import com.rjconsultores.ventaboletos.web.utilerias.menu.DefaultItemMenuSistema;
import com.rjconsultores.ventaboletos.web.utilerias.menu.item.relatorios.impressaofiscal.TipoImportacaoFiscal.TipoImportacao;

public class ItemMenuImportacionFiscalEcf extends DefaultItemMenuSistema {

	public ItemMenuImportacionFiscalEcf() {
		super("indexController.mniImportacionFiscalEcf.label");
	}

	@Override
	public String getClaveMenu() {
		return "COM.RJCONSULTORES.ADMINISTRACION.GUI.RELATORIOS.IMPRESSAOFISCAL.MENU.IMPORTACIONFISCAL";
	}

	@Override
	public void ejecutar() {

		@SuppressWarnings("unchecked")
		HashMap<String, Boolean> map = TipoImportacaoFiscal.selecionaTipoImportacao(TipoImportacao.ECF, (HashMap<String, Boolean>) getArgs());

		PantallaUtileria.openWindow("/gui/impressaofiscal/busquedaImportacionFiscal.zul",
				Labels.getLabel("busquedaImportacionFiscalController.window.title"), map, desktop);

	}

}
